Bug 1397047 - [abrt] dnf: _scriptError(): rpmtrans.py:550:_scriptError:AttributeError: 'NoneType' object has no attribute 'name'
[abrt] dnf: _scriptError(): rpmtrans.py:550:_scriptError:AttributeError: 'Non...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
26
x86_64 Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Jaroslav Mracek
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f02f03a2f8b470cb4be68ca976a...
: EasyFix, Triaged
: 1323552 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-21 08:25 EST by Jakub Filak
Modified: 2017-04-01 13:21 EDT (History)
9 users (show)

See Also:
Fixed In Version: dnf-2.2.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-01 13:21:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (579.66 KB, text/plain)
2016-11-21 08:25 EST, Jakub Filak
no flags Details
File: backtrace (600 bytes, text/plain)
2016-11-21 08:25 EST, Jakub Filak
no flags Details
File: cgroup (382 bytes, text/plain)
2016-11-21 08:25 EST, Jakub Filak
no flags Details
File: dnf-makecache.log (617.02 KB, text/plain)
2016-11-21 08:25 EST, Jakub Filak
no flags Details
File: environ (1.97 KB, text/plain)
2016-11-21 08:25 EST, Jakub Filak
no flags Details
File: mountinfo (3.64 KB, text/plain)
2016-11-21 08:25 EST, Jakub Filak
no flags Details
File: namespaces (102 bytes, text/plain)
2016-11-21 08:25 EST, Jakub Filak
no flags Details
File: open_fds (4.69 KB, text/plain)
2016-11-21 08:25 EST, Jakub Filak
no flags Details

  None (edit)
Description Jakub Filak 2016-11-21 08:25:26 EST
Description of problem:
I ran 'dnf update -y' on my Rawhide box.

Version-Release number of selected component:
dnf-2.0.0-0.rc1.4.fc26

Additional info:
reporter:       libreport-2.8.0.63.g6a16.dirty
cmdline:        /usr/libexec/system-python /usr/bin/dnf update -y
crash_function: _scriptError
exception_type: AttributeError
executable:     /usr/bin/dnf
kernel:         4.8.0-0.rc8.git0.1.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
rpmtrans.py:550:_scriptError:AttributeError: 'NoneType' object has no attribute 'name'

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dnf/yum/rpmtrans.py", line 426, in callback
    self._scriptError(amount, total, key)
  File "/usr/lib/python3.5/site-packages/dnf/yum/rpmtrans.py", line 550, in _scriptError
    name = pkg.name
AttributeError: 'NoneType' object has no attribute 'name'

Local variables in innermost frame:
scriptlet_name: 'POSTUN'
key: 'binutils'
amount: 1026
_: None
self: <dnf.yum.rpmtrans.RPMTransaction object at 0x7efd5c8fb940>
total: 0
pkg: None
Comment 1 Jakub Filak 2016-11-21 08:25:34 EST
Created attachment 1222387 [details]
File: _var_log_dnf.log
Comment 2 Jakub Filak 2016-11-21 08:25:36 EST
Created attachment 1222388 [details]
File: backtrace
Comment 3 Jakub Filak 2016-11-21 08:25:37 EST
Created attachment 1222389 [details]
File: cgroup
Comment 4 Jakub Filak 2016-11-21 08:25:41 EST
Created attachment 1222390 [details]
File: dnf-makecache.log
Comment 5 Jakub Filak 2016-11-21 08:25:43 EST
Created attachment 1222391 [details]
File: environ
Comment 6 Jakub Filak 2016-11-21 08:25:44 EST
Created attachment 1222392 [details]
File: mountinfo
Comment 7 Jakub Filak 2016-11-21 08:25:45 EST
Created attachment 1222393 [details]
File: namespaces
Comment 8 Jakub Filak 2016-11-21 08:25:47 EST
Created attachment 1222394 [details]
File: open_fds
Comment 10 Michael Mráka 2016-11-28 09:42:16 EST
*** Bug 1323552 has been marked as a duplicate of this bug. ***
Comment 12 Honza Silhan 2017-01-30 07:52:30 EST
Planned to be fixed next month.
Comment 13 Fedora End Of Life 2017-02-28 05:38:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 14 Jaroslav Mracek 2017-03-03 08:15:45 EST
I create a pull-request that will prevent the problem: https://github.com/rpm-software-management/dnf/pull/754
Comment 15 Fedora Update System 2017-03-21 08:07:30 EDT
dnf-2.1.1-1.fc26 libdnf-0.8.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-65586fa42b
Comment 16 Fedora Update System 2017-03-21 10:27:03 EDT
dnf-2.1.1-1.1.fc26, libdnf-0.8.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-65586fa42b
Comment 17 Fedora Update System 2017-03-27 15:20:37 EDT
dnf-2.2.0-1.fc26, libdnf-0.8.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-65586fa42b
Comment 18 Fedora Update System 2017-04-01 13:21:29 EDT
dnf-2.2.0-1.fc26, libdnf-0.8.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.